import request from "@/utils/request";

// 查询证书有效期变更日志列表
export function listRenCaiZSYxqLog(query) {
  return request({
    url: "/jlry/RenCaiZSYxqLog/list",
    method: "get",
    params: query,
  });
}

// 查询证书有效期变更日志详细
export function getRenCaiZSYxqLog(ID) {
  return request({
    url: "/jlry/RenCaiZSYxqLog/" + ID,
    method: "get",
  });
}

// 新增证书有效期变更日志
export function addRenCaiZSYxqLog(data) {
  return request({
    url: "/jlry/RenCaiZSYxqLog",
    method: "post",
    data: data,
  });
}

// 修改证书有效期变更日志
export function updateRenCaiZSYxqLog(data) {
  return request({
    url: "/jlry/RenCaiZSYxqLog",
    method: "put",
    data: data,
  });
}

// 删除证书有效期变更日志
export function delRenCaiZSYxqLog(ID) {
  return request({
    url: "/jlry/RenCaiZSYxqLog/" + ID,
    method: "delete",
  });
}
// 监理工程师续期列表
export function RenCaiXQVO(query) {
  return request({
    url: "/jlry/RenCai/RenCaiXQVO",
    method: "get",
    params: query,
  });
}
// 监理工程师续期
export function zsyxqxq(data) {
  return request({
    url: "/jlry/RenCai/zsyxqxq",
    method: "post",
    params: data,
  });
}

// 获取续期操作人员
export function zsyxqxqList(data) {
  return request({
    url: "/jlry/RenCai/zsyxqxqList",
    method: "post",
    params: data,
  });
}
