import request from "@/utils/request";

// 查询监理人才管理列表
export function listRenCai(query) {
  return request({
    url: "/jlry/RenCai/rencailist",
    method: "get",
    params: query,
  });
}

// 查询监理人才管理详细
export function getRenCai(ID) {
  return request({
    url: "/jlry/RenCai/" + ID,
    method: "get",
  });
}

// 新增监理人才管理
export function addRenCai(data) {
  return request({
    url: "/jlry/RenCai",
    method: "post",
    data: data,
  });
}

// 修改监理人才管理
export function updateRenCai(data) {
  return request({
    url: "/jlry/RenCai",
    method: "put",
    data: data,
  });
}

// 删除监理人才管理
export function delRenCai(ID) {
  return request({
    url: "/jlry/RenCai/" + ID,
    method: "delete",
  });
}
//获取业绩
export function getYeJi(params) {
  return request({
    url: "/jlry/YeJi/list",
    method: "get",
    params,
  });
}

//修改设置状态
export function saveAuditState(params) {
  return request({
    url: "/jlry/RenCai/rencaish",
    method: "get",
    params,
  });
}
// 人员变更
export function infoChange(data) {
  let f = new FormData();
  Object.keys(data).forEach((key) => {
    f.append(key, data[key]);
  });
  return request({
    url: "/jlry/RenCai/infoChange",
    method: "post",
    data: f,
  });
}
export function getCurrRenCaiLogList(data) {
  // let f = new FormData();
  // Object.keys(data).forEach((key) => {
  //   f.append(key, data[key]);
  // });
  return request({
    url: "/jlry/RenCai/getCurrRenCaiLogList",
    method: "get",
    params: data,
  });
}
